package de.jottyfan.timetrack.spring.done;

import java.time.LocalDate;
import java.util.List;

import javax.servlet.http.HttpServletRequest;

import de.jottyfan.timetrack.db.done.tables.records.TBillingRecord;
import de.jottyfan.timetrack.db.done.tables.records.TJobRecord;
import de.jottyfan.timetrack.db.done.tables.records.TModuleRecord;
import de.jottyfan.timetrack.db.done.tables.records.TProjectRecord;

/**
 * 
 * @author henkej
 *
 */
public interface IDoneService {
	public List<DoneBean> getList(LocalDate day, String username);

	public DoneBean getBean(Integer id);

	public String getCurrentUser(HttpServletRequest request);

	public List<TProjectRecord> getProjects();

	public List<TModuleRecord> getModules();

	public List<TJobRecord> getJobs();

	public List<TBillingRecord> getBillings();

	public Integer doUpsert(DoneBean bean, String username);

	public Integer doDelete(Integer id);
}
